From 2248c3064e9654dddd8eb8f4fa4bf187354b19bd Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Mar 02 2020 05:13:32 +0000
Subject: [PATCH 89/2232] Write Box internals in terms of type aliases


---

diff --git a/include/cxxbridge.h b/include/cxxbridge.h
index d0cf8c2..aa78c2b 100644
--- a/include/cxxbridge.h
+++ b/include/cxxbridge.h
@@ -128,11 +128,11 @@ public:
 private:
   Box() noexcept {}
   void uninit() noexcept;
-  void set_raw(T *) noexcept;
-  T *get_raw() noexcept;
+  void set_raw(pointer) noexcept;
+  pointer get_raw() noexcept;
   void drop() noexcept;
-  const T *deref() const noexcept;
-  T *deref_mut() noexcept;
+  const_pointer deref() const noexcept;
+  pointer deref_mut() noexcept;
   uintptr_t repr;
 };
 #endif // CXXBRIDGE01_RUST_BOX

